# Get mentor access status Retrieve current access information for a specific mentor, including all groups and users that have access with their respective roles. Endpoint: GET /api/core/rbac/mentor-access/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Query parameters: - `mentor_id` (integer, required) ID of the mentor to get access information for - `platform_key` (string, required) Platform key where the mentor belongs ## Response 200 fields (application/json): - `id` (integer, required) - `name` (string, required) Policy name. If not supplied, defaults to a UUID4 - `role` (string, required) Role for accessing this mentor (viewer or editor) - `resources` (any, required) List of resources this policy applies to - `users` (array, required) - `users.id` (integer, required) edX user ID - `users.username` (string,null) edX username - `users.email` (string,null) edX email - `groups` (array, required) - `groups.name` (string) Optional name of the group - `groups.unique_id` (string, required) The unique identifier for the group - `groups.description` (string) Optional group description ## Response 400 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields